A B C D E F G H I J L M N O P R S T U V
All Classes All Packages

## A

add(Airport) - Static method in class com.uca.flights.CitiesAndAirportsRegistry
  Add an airport to the airport registry
add(City) - Static method in class com.uca.flights.CitiesAndAirportsRegistry
  Add a city to the city registry
addAirport(Airport) - Method in class com.uca.flights.City
  Add a airport to the city set of airport
addBooking(Booking) - Method in class com.uca.flights.Flight
  Add a booking to the flight
addCity(City) - Method in class com.uca.flights.Airport
  Add a city to the airport list of served city
addFidelityPoint(int) - Method in class com.uca.bookings.Passenger
  Add a specific amout to the passenger fidelity points
addFlight(ZonedDateTime, Trip) - Method in class com.uca.flights.Company
  Create and add a flight
addFlight(ZonedDateTime, TripBuilder) - Method in class com.uca.flights.Company
  Create and add a flight
addRegularFlight(ZonedDateTime, int) - Method in class com.uca.flights.Company
  Create and add a regular flight from the registry
addRegulars(ArrayList<Trip>) - Method in class com.uca.flights.Company
  Add several regular trip
Airport - Class in com.uca.flights
  Represent an airport
Airport(City, AirportId, String) - Constructor for class com.uca.flights.Airport
  Constructor
Airport(City, String, String) - Constructor for class com.uca.flights.Airport
  Constructor
AirportId - Class in com.uca.flights
  Represent an airport identifier, a 3 letter code
AirportId(String) - Constructor for class com.uca.flights.AirportId
  Constructor
airports() - Static method in class com.uca.flights.CitiesAndAirportsRegistry
  Get a collection of airportId
append(Airport, Duration) - Method in class com.uca.flights.TripBuilder
  Add a step to the trip builder
append(Jump) - Method in class com.uca.flights.TripBuilder
  Add a jump to the trip builder
append(Step) - Method in class com.uca.flights.TripBuilder
  Add a step to the trip builder
append(Trip) - Method in class com.uca.flights.TripBuilder
  Add a trip to the trip builder
append(TripBuilder) - Method in class com.uca.flights.TripBuilder
  Concatenate the two tripbilder

## B

Booking - Class in com.uca.bookings
  Represent a flight booking
BookingState - Enum in com.uca.bookings
  Implement different state of a booking

## C

cancel(Booking) - Method in interface com.uca.bookings.State
CANCELED - com.uca.bookings.BookingState
charge(Money) - Method in interface com.uca.bookings.PaymentMethod
cities() - Static method in class com.uca.flights.CitiesAndAirportsRegistry
  Get a collection of cityId
CitiesAndAirportsRegistry - Class in com.uca.flights
  Represent an registry to store city and airports, singleton
City - Class in com.uca.flights
  Represent an city
City(CityId, String) - Constructor for class com.uca.flights.City
  Constructor
CityId - Class in com.uca.flights
  Represent a city identifier
CityId(String) - Constructor for class com.uca.flights.CityId
  Constructor
clear() - Method in class com.uca.flights.TripBuilder
  Clear the trip
clone() - Method in class com.uca.flights.Jump
  Redefinition of clone
clone() - Method in class com.uca.flights.Step
  Redefinition of clone
clone() - Method in class com.uca.flights.Trip
  Redefinition of clone, return clone or this depending on modifiable
clone() - Method in class com.uca.flights.TripBuilder
  Redefinition of clone
close(FlightId) - Method in class com.uca.flights.Company
  Close a flight to reservation
com.uca.bookings - package com.uca.bookings
com.uca.data_validation - package com.uca.data_validation
com.uca.flights - package com.uca.flights
Company - Class in com.uca.flights
  Represent a flight company
Company(String, String) - Constructor for class com.uca.flights.Company
  Constructor
compareTo(AirportId) - Method in class com.uca.flights.AirportId
  Redefinition of compareTo
compareTo(CityId) - Method in class com.uca.flights.CityId
  Redefinition of compareTo
compareTo(FlightId) - Method in class com.uca.flights.FlightId
  Redefinition of compareTo
confirm(Booking) - Method in interface com.uca.bookings.State
CONFIRMED - com.uca.bookings.BookingState
createBooking(Money, Flight, Customer, Passenger) - Static method in class com.uca.bookings.Booking
  Static constructor
createBooking(Money, Flight, Customer, Passenger, String) - Static method in class com.uca.bookings.Booking
  Static constructor
Customer - Class in com.uca.bookings
  Represent a customer of the company
Customer(String, String, String, String, PaymentMethod) - Constructor for class com.uca.bookings.Customer
  Constructor

## D

delay(Duration) - Method in class com.uca.flights.Flight
  Delay the duration from another duration
delay(Duration) - Method in class com.uca.flights.Trip
  Delay the duration from another duration
delay(Duration, Jump) - Method in class com.uca.flights.Flight
  Delay the duration from another duration from a specific jump
delay(Duration, Jump) - Method in class com.uca.flights.Trip
  Delay the duration from another duration from a specific jump
delay(Duration, Step) - Method in class com.uca.flights.Flight
  Delay the duration from another duration from a specific step
delay(Duration, Step) - Method in class com.uca.flights.Trip
  Delay the duration from another duration from a specific step

## E

equals(Object) - Method in class com.uca.flights.Airport
  Redefinition of equals
equals(Object) - Method in class com.uca.flights.AirportId
  Redefinition of equals
equals(Object) - Method in class com.uca.flights.City
  Redefinition of equals
equals(Object) - Method in class com.uca.flights.CityId
  Redefinition of equals
equals(Object) - Method in class com.uca.flights.FlightId
  Redefinition of equals

## F

Flight - Class in com.uca.flights
  Represent flight
FlightId - Class in com.uca.flights
  Represent a flight identifier, the prefix of the company plus an integer on 4 digits

## G

get(AirportId) - Static method in class com.uca.flights.CitiesAndAirportsRegistry
  Get a airport from the airport registry
get(CityId) - Static method in class com.uca.flights.CitiesAndAirportsRegistry
  Get a city from the city registry
getAddress() - Method in class com.uca.bookings.Customer
  Getter
getAirport() - Method in class com.uca.flights.Step
  Getter
getAirports() - Method in class com.uca.flights.City
  Getter
getArrival() - Method in class com.uca.flights.Flight
  Getter
getBirthdate() - Method in class com.uca.bookings.Passenger
  Getter
getBookings() - Method in class com.uca.bookings.Customer
  Getter
getBookings() - Method in class com.uca.bookings.Passenger
  Getter
getBookings() - Method in class com.uca.flights.Flight
  Getter
getCode() - Method in class com.uca.flights.City
  Getter
getCountryOfResidence() - Method in class com.uca.bookings.Passenger
  Getter
getCustomer() - Method in class com.uca.bookings.Booking
  Getter
getDate() - Method in class com.uca.bookings.Booking
  Getter
getDeparture() - Method in class com.uca.flights.Flight
  Getter
getDestination() - Method in class com.uca.flights.Flight
  Getter
getDuration() - Method in class com.uca.flights.Flight
  Getter
getDuration() - Method in class com.uca.flights.Jump
  Getter
getDuration() - Method in class com.uca.flights.Step
  Getter
getEmail() - Method in class com.uca.bookings.Customer
  Getter
getFidelityPoint() - Method in class com.uca.bookings.Passenger
  Getter
getFirstName() - Method in class com.uca.bookings.Customer
  Getter
getFirstName() - Method in class com.uca.bookings.Passenger
  Getter
getFlight() - Method in class com.uca.bookings.Booking
  Getter
getFlight(FlightId) - Method in class com.uca.flights.Company
  Getter
getFlights() - Method in class com.uca.flights.Company
  Getter
getGender() - Method in class com.uca.bookings.Passenger
  Getter
getId() - Method in class com.uca.bookings.Booking
  Getter
getId() - Method in class com.uca.bookings.Customer
  Getter
getId() - Method in class com.uca.bookings.Passenger
  Getter
getId() - Method in class com.uca.flights.Airport
  Getter
getId() - Method in class com.uca.flights.Flight
  Getter
getInstance() - Static method in class com.uca.flights.CitiesAndAirportsRegistry
  Singleton getInstance method.
getJumps() - Method in class com.uca.flights.Flight
  Getter
getLastName() - Method in class com.uca.bookings.Customer
  Getter
getLastName() - Method in class com.uca.bookings.Passenger
  Getter
getMainCity() - Method in class com.uca.flights.Airport
  Getter
getName() - Method in class com.uca.flights.Airport
  Getter
getName() - Method in class com.uca.flights.City
  Getter
getName() - Method in class com.uca.flights.Company
  Getter
getNationality() - Method in class com.uca.bookings.Passenger
  Getter
getPassenger() - Method in class com.uca.bookings.Booking
  Getter
getPassportNumber() - Method in class com.uca.bookings.Passenger
  Getter
getPaymentMethod() - Method in class com.uca.bookings.Customer
  Getter
getPreced() - Method in class com.uca.flights.Jump
  Getter
getPrice() - Method in class com.uca.bookings.Booking
  Getter
getRegulars() - Method in class com.uca.flights.Company
  Getter
getSeatNumber() - Method in class com.uca.bookings.Booking
  Getter
getServedCity() - Method in class com.uca.flights.Airport
  Getter
getStartingAirport() - Method in class com.uca.flights.Flight
  Getter
getState() - Method in class com.uca.bookings.Booking
  Getter
getSteps() - Method in class com.uca.flights.Flight
  Getter
getValue() - Method in class com.uca.flights.AirportId
  Getter
getValue() - Method in class com.uca.flights.CityId
  Getter
getValue() - Method in class com.uca.flights.FlightId
  Getter

## H

hashCode() - Method in class com.uca.bookings.Booking
  Redefinition of hashCode
hashCode() - Method in class com.uca.bookings.Customer
  Redefinition of hashCode
hashCode() - Method in class com.uca.bookings.Passenger
  Redefinition of hashCode
hashCode() - Method in class com.uca.flights.Airport
  Redefinition of hashCode
hashCode() - Method in class com.uca.flights.AirportId
  Redefinition of hashCode
hashCode() - Method in class com.uca.flights.City
  Redefinition of hashCode
hashCode() - Method in class com.uca.flights.CityId
  Redefinition of hashCode
hashCode() - Method in class com.uca.flights.FlightId
  Redefinition of hashCode
hasNext() - Method in class com.uca.flights.Jump
  Getter, implementation of iterator
hasNext() - Method in class com.uca.flights.Step
  Getter, implementation of iterator
hide() - Method in interface com.uca.bookings.PaymentMethod

## I

IdentifierValidator - Class in com.uca.data_validation
IdentifierValidator() - Constructor for class com.uca.data_validation.IdentifierValidator
INITIAL - com.uca.bookings.BookingState
isAddressValid(String) - Static method in class com.uca.data_validation.StringValidator
isAirportIdValid(String) - Static method in class com.uca.data_validation.IdentifierValidator
isCityIdValid(String) - Static method in class com.uca.data_validation.IdentifierValidator
isCompanyPrefixValid(String) - Static method in class com.uca.data_validation.IdentifierValidator
isEmailValid(String) - Static method in class com.uca.data_validation.StringValidator
isFlightIdValid(String) - Static method in class com.uca.data_validation.IdentifierValidator
isNameValid(String) - Static method in class com.uca.data_validation.StringValidator
isReservable() - Method in class com.uca.flights.Flight
  Getter

## J

Jump - Class in com.uca.flights
  Represent an jump : two step for arrival and departure
Jump(Step, Step) - Constructor for class com.uca.flights.Jump
  Constructor
Jump(Step, Step, Jump) - Constructor for class com.uca.flights.Jump
  Constructor

## L

length() - Method in class com.uca.flights.AirportId
  Getter
length() - Method in class com.uca.flights.CityId
  Getter

## M

main(String[]) - Static method in class Start

## N

next() - Method in class com.uca.flights.Jump
  Getter, implementation of iterator
next() - Method in class com.uca.flights.Step
  Getter, implementation of iterator

## O

open(FlightId) - Method in class com.uca.flights.Company
  Open a flight to reservation

## P

Passenger - Class in com.uca.bookings
  Represent a passenger
Passenger(String, String, ZonedDateTime, String, String, String, String) - Constructor for class com.uca.bookings.Passenger
  Crée une nouvelle instance de l'objet passager.
pay(Booking) - Method in interface com.uca.bookings.State
PAYED - com.uca.bookings.BookingState
PaymentMethod - Interface in com.uca.bookings
  Interface déclarant les opérations possibles pour les moyens de paiement.
prepend(Airport, Duration) - Method in class com.uca.flights.TripBuilder
  Add a step to the trip builder
prepend(Jump) - Method in class com.uca.flights.TripBuilder
  Add a jump to the trip builder
prepend(Step) - Method in class com.uca.flights.TripBuilder
  Add a step to the trip builder
prepend(Trip) - Method in class com.uca.flights.TripBuilder
  Add a trip to the trip builder
prepend(TripBuilder) - Method in class com.uca.flights.TripBuilder
  Concatenate the two tripbilder

## R

refund(Money) - Method in interface com.uca.bookings.PaymentMethod
regularize(FlightId) - Method in class com.uca.flights.Company
  Regularize a flight : make a copy of the trip in the registry
removeAirport(Airport) - Method in class com.uca.flights.City
  Remove an airport from the city set of airport
removeBooking(Booking) - Static method in class com.uca.bookings.Booking
removeBooking(Booking) - Method in class com.uca.bookings.Customer
  Remove given booking.
removeBooking(Booking) - Method in class com.uca.flights.Flight
  Add a booking to the flight
removeCity(City) - Method in class com.uca.flights.Airport
  Remove a city to the airport list of served city
removeFidelityPoint(int) - Method in class com.uca.bookings.Passenger
  Remove a specific amout to the passenger fidelity points
removeFirst() - Method in class com.uca.flights.TripBuilder
  Remove the first step of the trip
removeFlight(FlightId) - Method in class com.uca.flights.Company
  Remove a flight
removeLast() - Method in class com.uca.flights.TripBuilder
  Remove the last step of the trip
removeRegular(int) - Method in class com.uca.flights.Company
  Remove a regular from the registry
removeRegular(Trip) - Method in class com.uca.flights.Company
  Remove a regular from the registry

## S

setAbsoluteDuration(boolean) - Method in class com.uca.flights.TripBuilder
  Setter
setAdress(String) - Method in class com.uca.bookings.Customer
  Setter
setCountryOfResidence(String) - Method in class com.uca.bookings.Passenger
  Setter
setEmail(String) - Method in class com.uca.bookings.Customer
  Setter
setGender(String) - Method in class com.uca.bookings.Passenger
  Setter
setName(String) - Method in class com.uca.flights.Airport
  Setter
setName(String) - Method in class com.uca.flights.City
  Setter
setName(String) - Method in class com.uca.flights.Company
  Setter
setPassportNumber(String) - Method in class com.uca.bookings.Passenger
  Setter
setPaymentMethod(PaymentMethod) - Method in class com.uca.bookings.Customer
  Setter
setRegulars(ArrayList<Trip>) - Method in class com.uca.flights.Company
  Setter
setSeatNumber(String) - Method in class com.uca.bookings.Booking
  Setter
Start - Class in <Unnamed>
Start() - Constructor for class Start
State - Interface in com.uca.bookings
  Interface déclarant les opérations possibles du patron de conception état utilisé pour représenter les états possibles d'une réservation.
Step - Class in com.uca.flights
  Represent an step : an airport and a duration from first take off
Step(Airport, Duration) - Constructor for class com.uca.flights.Step
  Constructor
StringValidator - Class in com.uca.data_validation
StringValidator() - Constructor for class com.uca.data_validation.StringValidator

## T

toRegularTrip() - Method in class com.uca.flights.TripBuilder
  Create a regular trip
toString() - Method in class com.uca.bookings.Booking
  Redefinition of toString
toString() - Method in class com.uca.bookings.Customer
  Redefinition of toString
toString() - Method in class com.uca.bookings.Passenger
  Redefinition of toString
toString() - Method in class com.uca.flights.Airport
  Redefinition of toString
toString() - Method in class com.uca.flights.AirportId
  Redefinition of toString
toString() - Method in class com.uca.flights.City
  Redefinition of toString
toString() - Method in class com.uca.flights.CityId
  Redefinition of toString
toString() - Method in class com.uca.flights.Company
  Redefinition of toString
toString() - Method in class com.uca.flights.Flight
  Redefinition of toString
toString() - Method in class com.uca.flights.FlightId
  Redefinition of toString
toString() - Method in class com.uca.flights.Step
  Redefinition of toString
toString() - Method in class com.uca.flights.Trip
  Redefinition of toString
toTrip() - Method in class com.uca.flights.TripBuilder
  Create a trip
Trip - Class in com.uca.flights
  Represent an trip, several jumps
Trip(Jump) - Constructor for class com.uca.flights.Trip
  Constructor
Trip(Jump, boolean) - Constructor for class com.uca.flights.Trip
  Constructor
TripBuilder - Class in com.uca.flights
  Tool to build a trip
TripBuilder() - Constructor for class com.uca.flights.TripBuilder
  Constructor
TripBuilder(Airport, Duration) - Constructor for class com.uca.flights.TripBuilder
  Constructor
TripBuilder(Jump) - Constructor for class com.uca.flights.TripBuilder
  Constructor
TripBuilder(Step) - Constructor for class com.uca.flights.TripBuilder
  Constructor
TripBuilder(Trip) - Constructor for class com.uca.flights.TripBuilder
  Constructor
TripBuilder(TripBuilder) - Constructor for class com.uca.flights.TripBuilder
  Constructor

## U

updateDuration() - Method in class com.uca.flights.TripBuilder
  Pass all duration from absolute to relative
useAbsoluteDuration() - Method in class com.uca.flights.TripBuilder
  Getter

## V

valueOf(String) - Static method in enum com.uca.bookings.BookingState
  Returns the enum constant of this type with the specified name.
values() - Static method in enum com.uca.bookings.BookingState
  Returns an array containing the constants of this enum type, in the order they are declared.

A B C D E F G H I J L M N O P R S T U V
All Classes All Packages